Package net.shibboleth.shared.spring.factory

# Class CombiningListFactoryBean

java.lang.Object
org.springframework.beans.factory.config.AbstractFactoryBean<List<Object>>
org.springframework.beans.factory.config.ListFactoryBean
net.shibboleth.shared.spring.factory.CombiningListFactoryBean

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<List<Object>>`, `InitializingBean`

public class CombiningListFactoryBean extends ListFactoryBean
A factory which extends `ListFactoryBean` by requiring two lists as input.

## Field Summary

Fields
Modifier and Type
Field
Description
`private List<?>`
`firstList`
First list to combine.
`private List<?>`
`secondList`
Second list to combine.

### Fields inherited from class org.springframework.beans.factory.config.AbstractFactoryBean

`logger`

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`CombiningListFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`protected List<Object>`
`createInstance()`
`List<?>`
`getFirstList()`
Set the first list to combine.
`List<?>`
`getSecondList()`
Set the second list to combine.
`void`
`setFirstList(List<?> list)`
Get the first list to combine.
`void`
`setSecondList(List<?> list)`
Get the second list to combine.
`void`
`setSourceList(List<?> sourceList)`

### Methods inherited from class org.springframework.beans.factory.config.ListFactoryBean

`getObjectType, setTargetListClass`

### Methods inherited from class org.springframework.beans.factory.config.AbstractFactoryBean

`afterPropertiesSet, destroy, destroyInstance, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### firstList

@Nullable private List<?> firstList
First list to combine.

### secondList

@Nullable private List<?> secondList
Second list to combine.

## Constructor Details

### CombiningListFactoryBean

public CombiningListFactoryBean()

## Method Details

### setSourceList

public void setSourceList(@Nonnull List<?> sourceList)

Overrides:
  `setSourceList` in class `ListFactoryBean`

### getFirstList

@Nullable @NullableElements @Unmodifiable @NotLive public List<?> getFirstList()
Set the first list to combine.

Returns:
  Returns the firstList.

### setFirstList

public void setFirstList(@Nullable @NullableElements List<?> list)
Get the first list to combine.

Parameters:
  `list` - The firstList to set.

### getSecondList

@Nullable @NullableElements @Unmodifiable @NotLive public List<?> getSecondList()
Set the second list to combine.

Returns:
  Returns the secondList.

### setSecondList

public void setSecondList(@Nullable @NullableElements List<?> list)
Get the second list to combine.

Parameters:
  `list` - The secondList to set.

### createInstance

@Nonnull @NullableElements @Live protected List<Object> createInstance()

Overrides:
  `createInstance` in class `ListFactoryBean`